Creator Rankings - Top Potential E-commerce Creators
Introduction
Get the top potential e-commerce creators ranking
- Supports filter parameters
- Supports custom result sorting
API Endpoint
bash
POST /creator/v1/rank/topPotentialRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
filter | object | No | Filter parameters |
orderby | object | No | Sorting parameters |
page | integer | No | Page number, default: 1 |
pagesize | integer | No | Items per page, default: 10 |
page*pagesize<= 1000
pagesizerange [1, 100]
filter Optional Values
| Field | Type | Required | Description |
|---|---|---|---|
region | string | No | Country/Region |
creator_category_id | integer | No | Creator category |
product_category_l1_id | integer | No | Product category level 1 |
product_category_l2_id | integer | No | Product category level 2 |
product_category_l3_id | integer | No | Product category level 3 |
ecommerce_type | integer | No | 1:Video 2:Live |
follower_count_range | object | No | Follower count range |
follower_age_type | object | No | Follower age distribution 1:18-24, 2:25-34, 3:35+ |
follower_gender_type | object | No | Follower gender distribution 0:Female, 1:Male |
date_info | object | No | Date information |
regionrange:['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']
orderby Optional Values
| Field | Required | Description |
|---|---|---|
potential_index | No | Potential index (desc) |
Request Example
bash
curl 'https://openapi.fastmoss.com/creator/v1/rank/topPotential' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"region": "US",
"creator_category_id": 4,
"product_category_l1_id": 14,
# "date_info": {
# "type": "day",
# "value": "2026-03-01"
# },
# "date_info": {
# "type": "week",
# "value": "2026-08"
# },
"date_info": {
"type": "month",
"value": "2026-03"
},
"follower_count_range": {
"min":500000,
"max":1000000
},
},
"orderby": [
{
"field": "potential_index",
"order": "desc",
}
],
"page": 1,
"pagesize": 10
}'Response Body
data.total
- Type: integer
- Description: Total number of results
data.list
| Field | Type | Description |
|---|---|---|
uid | string | Creator ID |
follower_count | integer | Creator follower count |
product_count | integer | Number of products sold |
creator_gmv | float | Creator Total GMV |
creator_usd_gmv | float | Creator Total GMV (USD) |
video_count | integer | Video count |
video_gmv | float | Video Total GMV |
video_usd_gmv | float | Video Total GMV (USD) |
live_count | integer | Live count |
live_gmv | float | Live Total GMV |
live_usd_gmv | float | Live Total GMV (USD) |
data.list.creator
| Field | Type | Description |
|---|---|---|
uid | string | Creator ID |
unique_id | string | Creator unique ID |
nickname | string | Nickname |
avatar | string | Creator avatar URL |
region | string | Country/Region |
category | object | Creator category |
follower_count | integer | Creator follower count |
video_count | integer | Video count |
follower_genders | array | Follower gender distribution |
follower_ages | array | Follower age distribution |
data.list.creator.follower_genders
| Field | Type | Description |
|---|---|---|
key | string | Gender |
value | string | Proportion |
data.list.creator.follower_ages
| Field | Type | Description |
|---|---|---|
key | string | Age |
value | string | Proportion |
data.list.sales_category_l3
| Field | Type | Description |
|---|---|---|
id | string | Product category L3 ID |
name | string | Product category L3 Name |
Response Example
json
{
"code": 0,
"data": {
"list": [
{
"creator": {
"uid": "6787580688797713413",
"nickname": "itzelsantana11",
"unique_id": "itzesantana11",
"avatar": "https://s.500fd.com/tt_author/97d47867357ad05a16a1c7f6a9199b86~tplv-tiktokx-cropcenter:100:100.jpeg",
"region": "US",
"category": { "id": 4, "name": "Beauty" },
"follower_count": 930920,
"video_count": 879,
"follower_genders": [
{ "key": "female", "value": "0.6319" },
{ "key": "male", "value": "0.3681" }
],
"follower_ages": [
{ "key": "35-44", "value": "0.3406" },
{ "key": "25-34", "value": "0.2848" },
{ "key": "45-54", "value": "0.1908" },
{ "key": "55+", "value": "0.0904" },
{ "key": "18-24", "value": "0.0812" }
]
},
"uid": "6787580688797713413",
"video_count": 186,
"ecommerce_type": 3,
"potential_index": 83,
"gmv": 244052.07,
"usd_gmv": 244052.07,
"units_sold": 6138,
"avg_play_count": 77007,
"live_units_sold": 931,
"video_units_sold": 5207,
"sales_category_l3": [
{
"id": 601554,
"name": "Concealer & Foundation"
},
{ "id": 601619, "name": "Serums & Essences" },
{ "id": 601534, "name": "Lipstick & Lip Gloss" },
{ "id": 700650, "name": "Wellness Supplements" },
{ "id": 601492, "name": "Body Creams & Lotions" }
]
}
],
"total": "17",
"date_type": "month",
"date_value": "2026-03"
},
"message": "",
"timestamp": 1776186472,
"request_id": "d1b9d7d6-3ffe-bb15-cc98-f2deeacb1061"
}